# PspIoDrv Struct Reference
[Driver interface to IoFileMgr]

`#include <sdk/kernel/pspiofilemgr_kernel.h>`

Collaboration diagram for PspIoDrv:

[legend]

## Data Fields

const char * | name
| The name of the device to add.
u32 | dev_type
| Device type, this 0x10 is for a filesystem driver.
u32 | unk2
| Unknown, set to 0x800.
const char * | name2
| This seems to be the same as name but capitalised :/.
PspIoDrvFuncs * | funcs
| Pointer to a filled out functions table.

## Field Documentation

u32 PspIoDrv::dev_type

| Device type, this 0x10 is for a filesystem driver.

PspIoDrvFuncs* PspIoDrv::funcs

| Pointer to a filled out functions table.

const char* PspIoDrv::name

| The name of the device to add.

const char* PspIoDrv::name2

| This seems to be the same as name but capitalised :/.

u32 PspIoDrv::unk2

| Unknown, set to 0x800.

The documentation for this struct was generated from the following file:

- sdk/kernel/pspiofilemgr_kernel.h